<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GoAnalysis](./bitburner.goanalysis.md) &gt; [resetStats](./bitburner.goanalysis.resetstats.md)

## GoAnalysis.resetStats() method

Reset all win/loss and winstreak records for the No AI opponent.

**Signature:**

```typescript
resetStats(resetAll?: boolean): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

resetAll


</td><td>

boolean


</td><td>

_(Optional)_ Optional. if true, reset win/loss records for all opponents. Leaves node power and bonuses unchanged. Defaults to false.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

